<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Hero',
  props: {
    title: {
      type: String,
      required: true,
    },
    description: {
      type: String,
      required: true,
    },
    smallText: {
      type: String,
      required: true,
    },
    cta: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpRow class="hero">
    <SlpColumn :cols="8">
      <SlpTypography variant="heading3-bold" tag="h3" class="hero__small-text">
        {{ smallText }}</SlpTypography
      >
      <SlpTypography variant="display1" tag="h1">{{ title }} </SlpTypography>
      <SlpTypography
        class="slp-mt-24"
        style="font-weight: 600"
        variant="heading5"
        tag="p"
      >
        {{ description }}
      </SlpTypography>
      <SlpButton
        data-ga-name="free trial"
        data-ga-location="hero"
        class="slp-mt-24"
        variant="secondary"
        :href="cta.fields.externalUrl"
        >{{ cta.fields.text }}</SlpButton
      >
    </SlpColumn>
    <SlpColumn :cols="4">
      <nuxt-img
        class="hero__img"
        style="position: absolute"
        src="/nuxt-images/why-gitlab/header-alt.svg"
        alt=""
        format="webp"
        quality="99"
      />
    </SlpColumn>
  </SlpRow>
</template>

<style lang="scss" scoped>
.hero {
  padding: 160px $spacing-0 80px;

  &__small-text {
    background: linear-gradient(
      90.27deg,
      #f9a026 -13.91%,
      #a686f2 42.45%,
      #592ac8 109.96%
    );
    background-clip: text;
    color: transparent;
  }

  &__img {
    @media screen and (max-width: 767px) {
      display: none;
    }
  }
}
</style>
